<?php

namespace Drupal\floating_sticky_notes\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'Sticky Note Icon' block.
 *
 * @Block(
 *   id = "sticky_note_icon_block",
 *   admin_label = @Translation("Sticky Note Block"),
 *   category = @Translation("Custom")
 * )
 */
class StickyNoteIconBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#markup' => '
            <div id="sticky-note-icon" class="sticky-note-icon" style="cursor: pointer;">📝</div>
                    
            <div id="sticky-note-modal" class="sticky-note-modal" style="display:none; position: fixed; top: 100px; right: -400px; width: 350px; height: auto; background: rgba(0, 0, 0, 0.5); z-index: 1000;">
                <div class="sticky-note-modal-content" style="background: #fff; padding: 20px; max-width: 400px; margin: 100px auto; border-radius: 8px;">
                    <div class="sticky-note-modal-header">
                        <span id="sticky-note-close" class="sticky-note-close" style="cursor: pointer; font-size: 24px;">&times;</span>
                        <h2>Add Note</h2>
                    </div>
                    <div id="sticky-note-body" class="sticky-note-modal-body">
                </div>',
      '#attached' => [
        'library' => [
          'floating_sticky_notes/floating_sticky_notes',
        ],
      ],
    ];
  }

}
